org.apache.uima.collection.metadata

## Interface OutputQueue

- All Superinterfaces:
    Cloneable, MetaDataObject, Serializable, XMLizable

      public interface OutputQueue
      extends MetaDataObject

  An object that holds configuration that is part of the CPE descriptor. It provides the means of configuring CPE output queue that is shared between processing pipelines and cas consumers

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getDequeueTimeout()` Milliseconds to wait for new message
    `String` | `getQueueClass()` Class name of the queue object to be used as Output Queue
    `void` | `setDequeueTimeout(int i)` Define the time (in ms) to wait for a new message
    `void` | `setQueueClass(String string)` Define a class for a queue object

    - ### Methods inherited from interface org.apache.uima.resource.metadata.MetaDataObject

      `clone, equals, getAttributeValue, getSourceUrl, getSourceUrlString, isModifiable, listAttributes, setAttributeValue, setSourceUrl`

    - ### Methods inherited from interface org.apache.uima.util.XMLizable

      `buildFromXMLElement, buildFromXMLElement, toXML, toXML, toXML, toXML`

- - ### Method Detail

    - #### getDequeueTimeout

          int getDequeueTimeout()

      Milliseconds to wait for new message
      Returns:
        - ms to wait for message

    - #### getQueueClass

          String getQueueClass()

      Class name of the queue object to be used as Output Queue
      Returns:
        - name of the queue class

    - #### setDequeueTimeout

          void setDequeueTimeout(int i)

      Define the time (in ms) to wait for a new message
      Parameters:
        `i` - the time (in ms) to wait for a new message

    - #### setQueueClass

          void setQueueClass(String string)

      Define a class for a queue object
      Parameters:
        `string` - - name of the queue class

Copyright © 2006–2021 The Apache Software Foundation. All rights reserved.